## dbbalancer 0.4.1-6

=== debian/changelog ===
dbbalancer (0.4.1-6) unstable; urgency=low

  * Build against libace5.2 which is now in unstable.
  * Clean manpages on 'clean' target.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun,  7 Apr 2002 22:45:43 +1200

dbbalancer (0.4.1-5) unstable; urgency=low

  * Moved to non-US because of dependency on postgresql-dev (closes: #133762)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 16 Feb 2002 14:45:05 +1300

dbbalancer (0.4.1-4) unstable; urgency=low

  * Added docbook-to-man to build-depends (closes: #133449)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 12 Feb 2002 09:23:46 +1300

dbbalancer (0.4.1-3) unstable; urgency=low

  * Added autoconf to build-depends (closes: #133309)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 11 Feb 2002 15:42:27 +1300

dbbalancer (0.4.1-2) unstable; urgency=low

  * Change to build-depends and architecture (closes: #133125)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 10 Feb 2002 12:57:29 +1300

dbbalancer (0.4.1-1) unstable; urgency=low

  * New upstream release
  * Minor changes so we can now build cleanly from CVS!  Yay!
  * Upload to Debian.  (closes: #118336)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun,  3 Feb 2002 22:05:55 +1300

dbbalancer (0.4.0.99-1) unstable; urgency=low

  * New upstream CVS changes.  Probably not to be a released version.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 11 Nov 2001 17:29:44 +1300

dbbalancer (0.4.0-3) unstable; urgency=low

  * Added init script and framework for automatic operation.
  * Changed to build as a static executable to work with potato or sid.
  * Updated manpages to reflect init script operation.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun,  4 Nov 2001 23:42:57 +1300

dbbalancer (0.4.0-2) unstable; urgency=low

  * Got working properly with Debian.
  * Unix sockets in correct location.
  * Requests non-SSL connection if presented with SSL attempt.
  * Added 'daemon.dbname' into sample configuration file.
  * Documented 'umask 0' requirement.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat,  3 Nov 2001 20:39:44 +1300

dbbalancer (0.4.0-1) unstable; urgency=low

  * New upstream version

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat,  3 Nov 2001 10:34:33 +1300

dbbalancer (0.3.0-2) unstable; urgency=low

  * Debian code checked into source tree.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 13 Sep 2001 23:01:38 +1200

dbbalancer (0.3.0-1) unstable; urgency=low

  * Initial Release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 11 Sep 2001 00:15:36 +1200

Local variables:
mode: debian-changelog
End:
