=== debian/control ===
Source: dbbalancer
Priority: optional
Section: non-US/main
Maintainer: Andrew McMillan <debian@mcmillan.net.nz>
Build-Depends: debhelper (>> 3.0.0), docbook-dsssl, postgresql-dev, libace5.2-dev, autoconf, docbook-to-man
Standards-Version: 3.5.2

Package: dbbalancer
Architecture: any
Depends: ${shlibs:Depends}
Description: Database connection pooling, load balancing and write-replication
 DBBalancer provides facilities to transparently implement:
   - pooling of connections
   - load balancing across multiple backends
   - write replication to multiple backends
 .
 DBBalancer is a middleware daemon that sits in between database clients, like
 C, C++, TCL, Java JDBC, Perl DBI, etc programs and a database server. Currently
 the only server supported is PostgreSQL, but the architecture is open to
 embrace more servers in future.
 .
 Also see http://dbbalancer.sourceforge.net/ for more information.
