=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

package=dbbalancer

configure: configure-stamp
configure-stamp:
	dh_testdir
#	autoconf
	./configure --prefix=/usr --sysconfdir=/etc/dbbalancer --with-pq-include=/usr/include/postgresql
	touch configure-stamp

dbbalancerd:
	dh_testdir
	$(MAKE)
	-cd src; $(MAKE)
#	-cd src; $(MAKE) static
#	mv dbbalancerd.static dbbalancerd

build: configure-stamp build-stamp dbbalancerd
build-stamp:
	dh_testdir
	cd docs/manual; rm *.html; DOCBOOK_STYLES=/usr/share/sgml/docbook/stylesheet/dsssl/modular $(MAKE)
	/usr/bin/docbook-to-man debian/dbbalancerd.sgml > debian/dbbalancerd.1
	/usr/bin/docbook-to-man debian/$(package).conf.sgml > debian/$(package).conf.5
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp dbbalancerd.static debian/dbbalancerd.1 debian/$(package).conf.5
	$(MAKE) dist || true
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs DEBIAN etc usr var usr/bin etc/init.d etc/$(package) \
	      etc/$(package)/conf.d var/run/$(package) usr/share usr/share/doc \
        usr/share/doc/$(package) usr/share/doc/$(package)/UML \
	      usr/share/doc/$(package)/manual usr/share/man \
	      usr/share/man/man1 usr/share/man/man5 
	install -m 644 debian/sample.conf debian/$(package)/etc/dbbalancer/dbbalancer.conf.sample
	install -m 555 dbbalancerd debian/$(package)/usr/bin/dbbalancerd
	install -m 600 debian/sample.conf debian/$(package)/etc/$(package)/$(package).conf.sample
	install -m 444 debian/dbbalancerd.1 debian/$(package)/usr/share/man/man1/dbbalancerd.1
	cd debian/$(package)/usr/share/man/man1; ln -s dbbalancerd.1 $(package).1
	install -m 444 debian/$(package).conf.5 debian/$(package)/usr/share/man/man5/$(package).conf.5
	install -m 444 `find docs -name "*.htm*" -type f` debian/$(package)/usr/share/doc/$(package)/manual
	install -m 444 debian/copyright debian/$(package)/usr/share/doc/$(package)

# install -m 755 debian/postinst debian/prerm debian/$(package)/DEBIAN/.


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installexamples
#	dh_installlogrotate
#	dh_installpam
#	dh_installmime
	dh_installinit --update-rcd-params="defaults 21 19"
	dh_installcron
	dh_installman
	dh_installdocs
#	dh_undocumented
	dh_installchangelogs Changes
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
