## dbbalancer 0.4.4-6

=== debian/changelog ===
dbbalancer (0.4.4-6) unstable; urgency=low

  * Force a rebuild against correct libgcc1 (closes: #246915)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun,  2 May 2004 22:37:08 +1200

dbbalancer (0.4.4-5) unstable; urgency=low

  * Switched to libace5.4 and libpqxx which (closes: #240535, #229421) and I
    hacked on things to make it build - I ain't a C++ programmer, so if anyone
    wants to get src/tests/postgres_cc doing something worthwhile under
    libpqxx they certainly have _my_ blessing!
  * Made changes to upstream code to encourage connections into DBBalancer to
    fall back to protocol 2, since we don't actually support protocol 3, what
    current PostgreSQL apps are all initially trying to use.  At least this
    hack gets us working.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 30 Mar 2004 23:34:40 +1200

dbbalancer (0.4.4-4) unstable; urgency=low

  * Build against newer version of PostgreSQL (7.4) now released.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri,  5 Dec 2003 20:51:36 +1300

dbbalancer (0.4.4-3) unstable; urgency=low

  * Build against a new version of ACE
  * Adjust build-depends to reflect new libace-dev naming. (closes: #212067)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 20 Oct 2003 09:40:41 +1300

dbbalancer (0.4.4-2) unstable; urgency=low

  * Add build-depends on libpqpp-dev, remove references to bogus chapter 8,
    fix include references in makefiles.  (closes: #193927)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 21 May 2003 11:45:43 +1200

dbbalancer (0.4.4-1) unstable; urgency=low

  * Rebuild against latest libace5.2 (closes: #190695)
  * Move into main (no longer relevant to non-US)
  * new upstream release

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 26 Apr 2003 17:07:39 +1200

dbbalancer (0.4.3-2) unstable; urgency=low

  * Build with gcc 3.2

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 14 Sep 2002 22:59:30 +1200

dbbalancer (0.4.3-1) unstable; urgency=low

  * Added hooks into proposed PostgreSQL post-start.d / pre-stop.d
    architecture so that DBBalancer starts and stops along with PostgreSQL.
  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 12 Jun 2002 11:19:49 +1200
