=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: dbbalancer
 Priority: optional
-Section: non-US/main
+Section: misc
 Maintainer: Andrew McMillan <debian@mcmillan.net.nz>
-Build-Depends: debhelper (>> 3.0.0), docbook-dsssl, postgresql-dev, libace5.2-dev, autoconf, docbook-to-man
-Standards-Version: 3.5.2
+Build-Depends: debhelper (>> 3.0.0), docbook-dsssl, postgresql-dev, libace-dev, autoconf, docbook-to-man, libpqxx-dev
+Standards-Version: 3.5.9
 
 Package: dbbalancer
 Architecture: any
