## dbbalancer 0.4.4-7

=== debian/changelog ===
dbbalancer (0.4.4-7) unstable; urgency=low

  * Rebuild against more recent libace (closes: #277713)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun,  2 Jan 2005 22:27:43 +1300
