=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: misc
 Maintainer: Andrew McMillan <debian@mcmillan.net.nz>
 Build-Depends: debhelper (>> 3.0.0), docbook-dsssl, postgresql-dev, libace-dev, autoconf, docbook-to-man, libpqxx-dev
-Standards-Version: 3.5.9
+Standards-Version: 3.6.1
 
 Package: dbbalancer
 Architecture: any
