=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,10 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-#	autoconf
-	./configure --prefix=/usr --sysconfdir=/etc/dbbalancer --with-pq-include=/usr/include/postgresql
+	autoconf
+	# ./configure --prefix=/usr --sysconfdir=/etc/dbbalancer --with-pq-include=/usr/include/postgresql --with-docbook=/usr/share/sgml/docbook/stylesheet/dsssl/modular
+	./configure --prefix=/usr --sysconfdir=/etc/dbbalancer --with-docbook=/usr/share/sgml/docbook/stylesheet/dsssl/modular
+	# ./configure --prefix=/usr --sysconfdir=/etc/dbbalancer
 	touch configure-stamp
 
 dbbalancerd:
@@ -27,7 +29,7 @@
 build: configure-stamp build-stamp dbbalancerd
 build-stamp:
 	dh_testdir
-	cd docs/manual; rm *.html; DOCBOOK_STYLES=/usr/share/sgml/docbook/stylesheet/dsssl/modular $(MAKE)
+	cd docs/manual; $(MAKE)
 	/usr/bin/docbook-to-man debian/dbbalancerd.sgml > debian/dbbalancerd.1
 	/usr/bin/docbook-to-man debian/$(package).conf.sgml > debian/$(package).conf.5
 	touch build-stamp
@@ -35,7 +37,11 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp dbbalancerd.static debian/dbbalancerd.1 debian/$(package).conf.5
+	rm -f configure config.log config.status config.cache configure-stamp
+	rm -f build-stamp dbbalancerd dbbalancerd.static debian/dbbalancerd.1 debian/$(package).conf.5 || true
+	find . -name "Makefile.in" | sed -e s/\.in// | xargs rm || true
+	cd docs/manual; rm *.html || true; 
+	cd docs/manual; rm *.rtf || true; 
 	$(MAKE) dist || true
 	dh_clean
 
@@ -45,6 +51,7 @@
 	dh_clean -k
 	dh_installdirs DEBIAN etc usr var usr/bin etc/init.d etc/$(package) \
 	      etc/$(package)/conf.d var/run/$(package) usr/share usr/share/doc \
+	      etc/postgresql/post-start.d etc/postgresql/pre-stop.d \
         usr/share/doc/$(package) usr/share/doc/$(package)/UML \
 	      usr/share/doc/$(package)/manual usr/share/man \
 	      usr/share/man/man1 usr/share/man/man5 
@@ -56,8 +63,8 @@
 	install -m 444 debian/$(package).conf.5 debian/$(package)/usr/share/man/man5/$(package).conf.5
 	install -m 444 `find docs -name "*.htm*" -type f` debian/$(package)/usr/share/doc/$(package)/manual
 	install -m 444 debian/copyright debian/$(package)/usr/share/doc/$(package)
-
-# install -m 755 debian/postinst debian/prerm debian/$(package)/DEBIAN/.
+	install -m 755 debian/dbbalancer.postgresql-stop-hook debian/$(package)/etc/postgresql/pre-stop.d/dbbalancer
+	install -m 755 debian/dbbalancer.postgresql-start-hook debian/$(package)/etc/postgresql/post-start.d/dbbalancer
 
 
 # Build architecture-independent files here.
