## dbbalancer 0.4.4-7build1

=== debian/changelog ===
dbbalancer (0.4.4-7build1) breezy; urgency=low

  * Rebuild for the C++/gcc-4.0 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 19 Sep 2005 02:02:48 +1000
