## dbbalancer 0.4.4-9build1

=== debian/changelog ===
dbbalancer (0.4.4-9build1) dapper; urgency=low

  * Rebuild for unmet dependency libace.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Wed,  8 Mar 2006 03:39:34 +0100

dbbalancer (0.4.4-9) unstable; urgency=low

  * Doh!  Forgot dpatch dependency :- (closes: #327051)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu,  8 Sep 2005 01:08:30 +1200

dbbalancer (0.4.4-8) unstable; urgency=low

  * Apply patch from Dann Frazier to not build broken tests (closes: #226587)
  * Rebuild against libace-5.7, postgresql 8
  * Unless people indicate they are using this package I intend
    to stop maintaining it and get it dropped from the archive.
    People should use pgpool instead.
  * Add "Recommends: pgpool" since it's a better package with
    an active upstream.
    People should use pgpool instead.
  * Change package description to say "[OBSOLETE]"
    People should use pgpool instead.
  * Change dependency from postgresql-dev to libpq-dev
  * And have I mentioned that people should use pgpool instead?

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 30 Aug 2005 13:25:50 +1200
