=== debian/control ===
--- 
+++ 
@@ -2,13 +2,22 @@
 Priority: optional
 Section: misc
 Maintainer: Andrew McMillan <debian@mcmillan.net.nz>
-Build-Depends: debhelper (>> 3.0.0), docbook-dsssl, postgresql-dev, libace-dev, autoconf, docbook-to-man, libpqxx-dev
-Standards-Version: 3.6.1
+Build-Depends: debhelper, dpatch, docbook-dsssl, libpq-dev, libace-dev, autoconf, docbook-to-man, libpqxx-dev
+Standards-Version: 3.6.2
 
 Package: dbbalancer
 Architecture: any
 Depends: ${shlibs:Depends}
-Description: Database connection pooling, load balancing and write-replication
+Recommends: pgpool
+Description: [OBSOLETE] Postgres connection pool, load balancer and write-replicator
+ DBBalancer is no longer maintained upstream and is increasingly
+ difficult to continue to package for Debian.  A much better
+ solution is to use PGPool which suffers from none of these
+ deficiencies and is a better and more easily configured
+ system in any case.
+ .
+ This package now recommends PGPool as a result.
+ .
  DBBalancer provides facilities to transparently implement:
    - pooling of connections
    - load balancing across multiple backends
