=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,7 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
-# This is the debhelper compatability version to use.
-export DH_COMPAT=3
+include /usr/share/dpatch/dpatch.make
 
 package=dbbalancer
 
@@ -26,7 +25,7 @@
 #	-cd src; $(MAKE) static
 #	mv dbbalancerd.static dbbalancerd
 
-build: configure-stamp build-stamp dbbalancerd
+build: patch configure-stamp build-stamp dbbalancerd
 build-stamp:
 	dh_testdir
 	cd docs/manual; $(MAKE)
@@ -34,14 +33,14 @@
 	/usr/bin/docbook-to-man debian/$(package).conf.sgml > debian/$(package).conf.5
 	touch build-stamp
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
+	$(MAKE) clean || true
 	rm -f configure config.log config.status config.cache configure-stamp
 	rm -f build-stamp dbbalancerd dbbalancerd.static debian/dbbalancerd.1 debian/$(package).conf.5 || true
 	find . -name "Makefile.in" | sed -e s/\.in// | xargs rm || true
-	cd docs/manual; rm *.html || true; 
-	cd docs/manual; rm *.rtf || true; 
+	cd docs/manual; rm *.html *.rtf || true; 
 	$(MAKE) dist || true
 	dh_clean
